Package com.xebialabs.xlrelease.domain.events

# Class GlobalVariableUpdatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.GlobalVariableUpdatedEvent

All Implemented Interfaces:
  `GlobalVariableEvent`, `VariableEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class GlobalVariableUpdatedEvent extends Object implements GlobalVariableEvent, scala.Product, Serializable
Event published when a global variable is updated. Currently this event is limited only to situation when the global variable is updated from a script task in a release, using `globalVariables` dictionary.

param: original a copy of the original global variable. param: updated the updated global variable. As this can only be triggered from a script task, only the variable value can be different. param: source the way it was updated. Currently only `ModifiedFromScriptTask` is supported.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalVariableUpdatedEvent(Variable original, Variable updated, VariableModificationSource source)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GlobalVariableUpdatedEvent`
  `apply(Variable original, Variable updated, VariableModificationSource source)`
  `boolean`
  `canEqual(Object x$1)`
  `GlobalVariableUpdatedEvent`
  `copy(Variable original, Variable updated, VariableModificationSource source)`
  `Variable`
  `copy$default$1()`
  `Variable`
  `copy$default$2()`
  `VariableModificationSource`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `Variable`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `VariableModificationSource`
  `source()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<Variable,Variable,VariableModificationSource>>`
  `unapply(GlobalVariableUpdatedEvent x$0)`
  `Variable`
  `updated()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### GlobalVariableUpdatedEvent

    public GlobalVariableUpdatedEvent(Variable original, Variable updated, VariableModificationSource source)

- ## Method Details

  - ### apply

    public static GlobalVariableUpdatedEvent apply(Variable original, Variable updated, VariableModificationSource source)

  - ### unapply

    public static scala.Option<scala.Tuple3<Variable,Variable,VariableModificationSource>> unapply(GlobalVariableUpdatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### original

    public Variable original()

  - ### updated

    public Variable updated()

  - ### source

    public VariableModificationSource source()

  - ### copy

    public GlobalVariableUpdatedEvent copy(Variable original, Variable updated, VariableModificationSource source)

  - ### copy$default$1

    public Variable copy$default$1()

  - ### copy$default$2

    public Variable copy$default$2()

  - ### copy$default$3

    public VariableModificationSource copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`